Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.lib.jsf
Class OrchestraFacesContextFactory

    java.lang.Object
      javax.faces.context.FacesContextFactory
          org.apache.myfaces.orchestra.lib.jsf.OrchestraFacesContextFactory

All Implemented Interfaces:
  javax.faces.FacesWrapper<javax.faces.context.FacesContextFactory>

    public class OrchestraFacesContextFactory

extends javax.faces.context.FacesContextFactory

Setup some aspects of the Orchestra framework whenever a JSF request is being processed.

The Orchestra jarfile contains a faces-config.xml file that is automatically loaded by the FacesServlet. It defines this class as the factory that servlet uses to create a FacesContext object for each request.

That factory method is used here as a convenient point to initialize any per-request Orchestra data-structures. Note that this (of course) only initializes Orchestra for JSF requests; Orchestra is intended to support non-jsf functionality too (eg plain jsp or servlets), in which case the appropriate initialization for that environment needs to be configured via some other mechanism.

This factory fetches the actual FacesContext object from the previous factory in the chain, then decorates the returned FacesContext object; this means that this class integrates fine with other libraries that also configure a custom FacesContextFactory.

Since:
  1.1

Constructor Summary
`OrchestraFacesContextFactory(javax.faces.context.FacesContextFactory original)`

Method Summary
`javax.faces.context.FacesContext` | `getFacesContext(Object context, Object request, Object response, javax.faces.lifecycle.Lifecycle lifecycle)`

Methods inherited from class javax.faces.context.FacesContextFactory
`getWrapped`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrchestraFacesContextFactory

    public OrchestraFacesContextFactory(javax.faces.context.FacesContextFactory original)

Method Detail

### getFacesContext

    public javax.faces.context.FacesContext getFacesContext(Object context,
                                                            Object request,
                                                            Object response,
                                                            javax.faces.lifecycle.Lifecycle lifecycle)
                                                     throws javax.faces.FacesException

  Specified by:
    `getFacesContext` in class `javax.faces.context.FacesContextFactory`
  Throws:
    `javax.faces.FacesException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.